summaryrefslogtreecommitdiffstats
path: root/tests/lib/monitor
diff options
context:
space:
mode:
authorUmar Farooq <umar.farooq@neclab.eu>2017-07-13 12:20:56 +0200
committerRyota Mibu <r-mibu@cq.jp.nec.com>2017-08-09 04:39:54 +0000
commit282369b6fd58a78e6a7c91f21b331363d4ed0fb3 (patch)
tree3dc95a2c16ca948627df6fb93629a3652e620211 /tests/lib/monitor
parentdb6d9cdcb37fee810fdf59e4d96b9a5139b5c8b7 (diff)
Add Collectd as a Monitor Type
A plugin for collectd is added to use collectd on compute as a monitor type. Monitor files are updated accordingly. The inspector now listens on all interfaces instead of only localhost to enable it to communicate with compute node. JIRA: DOCTOR-86 JIRA: DOCTOR-101 Change-Id: Idc834d428152e4687020eff7d8db36a652b1bf86 Signed-off-by: Umar Farooq <umar.farooq@neclab.eu>
Diffstat (limited to 'tests/lib/monitor')
-rw-r--r--tests/lib/monitor31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/lib/monitor b/tests/lib/monitor
new file mode 100644
index 00000000..6b804ec2
--- /dev/null
+++ b/tests/lib/monitor
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+MONITOR_TYPE=${MONITOR_TYPE:-sample}
+
+function is_monitor_supported {
+ local monitor="$1"
+ [[ -f $TOP_DIR/lib/monitors/$monitor/$monitor ]]
+}
+
+function is_monitor {
+ local monitor="$1"
+ [[ $monitor == $MONITOR_TYPE ]]
+}
+
+function start_monitor {
+ start_monitor_$MONITOR_TYPE
+}
+
+function stop_monitor {
+ stop_monitor_$MONITOR_TYPE
+}
+
+function cleanup_monitor {
+ cleanup_monitor_$MONITOR_TYPE
+}
+
+if ! is_monitor_supported $MONITOR_TYPE; then
+ die $LINENO "MONITOR_TYPE=$MONITOR_TYPE is not supported."
+fi
+
+source $TOP_DIR/lib/monitors/$MONITOR_TYPE/$MONITOR_TYPE